package com.usky.demo.service.vo;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

@Data
@EqualsAndHashCode(callSuper = false)
public class DeviceDataWriteVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 产品编码
     */
    private String productCode;

    /**
     * 设备Id
     */
    private String deviceId;

    /**
     * 数据上报时间
     */
    private long timestamp;

    /**
     * 标签集合
     */
    private Map<String,String> tags;

    /**
     * 属性值集合
     */
    private Map<String,Object> metrics;

}

