package com.usky.demo.service;

import com.usky.demo.domain.QueryInfluxdbData;
import com.usky.common.mybatis.core.CrudService;
import com.usky.demo.service.vo.*;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ya
 * @since 2024-07-29
 */
public interface QueryInfluxdbDataService extends CrudService<QueryInfluxdbData> {

    LastResultVO queryLastDeviceData(String productCode,String deviceId);

    List<LastResultVO> queryLastDeviceData(LastRequestVO requestVO);

    HistoryResultVO queryHistoryDeviceData(String productCode,String deviceId,String startTime,String endTime);

    List<HistoryResultVO> queryHistoryDeviceData(HistoryRequestVO requestVO);

    void sendDeviceData(DeviceDataWriteVO writeVO);

}
